{% extends 'web/base.html' %}
{% load static %}

{% block title %}Просмотр {{ object.name }}{% endblock %}

{% block extra_head %}

{% endblock %}

{% block content %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{% url 'sites' %}">Сайты</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">{{ object.name }}</li>
        </ol>
    </nav>
    <h1>{{ object.name }}</h1>
    <p><a href="{{ object.url }}" target="_blank">{{ object.url }}</a></p>
    <p>
        <a href="{% url 'site-edit' object.id %}" class="btn btn-outline-primary">Редактировать сайт</a>
        <a href="{% url 'site-check' object.id %}" class="btn btn-outline-secondary">Проверить сайт прямо сейчас</a>
        <button type="button" id="site_history_update_button" class="btn btn-outline-secondary">
            Обновить историю проверки
        </button>
    </p>

    <div id="site_history">
        <p>Идет загрузка...</p>
    </div>

    <script>
        window.siteId = '{{ object.id }}';
    </script>
    <script src="{% static 'webmonitoring/dist/js/chunk-vendors.js' %}"></script>
    <script src="{% static 'webmonitoring/dist/js/app.js' %}"></script>
{% endblock %}
